/**
 * User: Andrey Semerun
 * Email: andrey.semerun@gmail.com
 * Date: 9/10/14
 * Time: 8:54 PM
 */

(function ($) {

  $('.next-btn').on('click', function(){
    $('#video .tint').addClass('visible');
    $(this).parents('section')
           .css({'-webkit-transform': 'translateX(-100%)'})
           .next()
           .css({'-webkit-transform': 'translateX(0)'})
           .find('.animated').css({
              '-webkit-animation-play-state': 'running',
              'animation-play-state': 'running'
           });
  });

  $('.enable-loop-btn').on('click', function(){
    $('#enable-loop-slide').css('-webkit-animation-play-state', 'running');
    setTimeout(function(){
      $('#sign-slide').css('visibility', 'visible')
                      .css('-webkit-animation-play-state', 'running');
    }, 400);
  });

  $(document).on('click', '.radio:not(.selected)', function(){
    $('.radio.selected[data-group=' + $(this).attr('data-group') +  ']').removeClass('selected');
    $(this).addClass('selected');
  });


  $('#close-btn').on('click', function(e){
        e.preventDefault();
        setupVoxFileTypesSupport();
        welcomePage.hi();
    });


    $('#facebook-signup-btn').on('click', function(e){
        e.preventDefault();
        welcomePage.signUpToLoopWithFacebook();
    });  
    $('#email-signup-btn').on('click', function(e){
        e.preventDefault();
        welcomePage.signUpToLoopWithEmail();
    });  
    $('#signin-btn, #loop-signup').on('click', function(e){
        e.preventDefault();
        welcomePage.signInToLoop();
    });  


    $('#lastfm-signup').on('click', function(e){
        e.preventDefault();
        welcomePage.connectWithLastFm();
    });
    $('#soundcloud-signup').on('click', function(e){
        e.preventDefault();
        welcomePage.connectWithSoundCloud();
    });

    checkIfSoundCloudAuthorized();
    checkIfLastFmAuthorized();
    checkIfLoopAuthorized();

})(jQuery);

function setupVoxFileTypesSupport () {
    if ($(".radio.selected").data('ind') == 0) {    
        // SET ALL AUDIO
        welcomePage.setForAll();
    } else {
        // SET NON-ITUNES ONLY
        welcomePage.extendItunes();
    }
}

function checkIfLastFmAuthorized () {
    if (welcomePage.isLastFmAuthorized()) {
        $('#lastfm-info').html("<div class='name'>" + welcomePage.lastFmName() + "</div><div class='desc'>Signed in</div>");
    }
}
 function checkIfSoundCloudAuthorized() {
    if (welcomePage.isSoundCloudAuthorized()) {
        $('#soundcloud-info').html("<div class='name'>" + welcomePage.soundCloudName() + "</div><div class='desc'>Signed in</div>");
    }
}

function checkIfLoopAuthorized() {
    if (welcomePage.isLoopAuthorized()) {
        $('#loop-info').html("<div class='name'>" + welcomePage.loopName() + "</div><div class='desc'>Signed in</div>");
    }
}